aboutsummaryrefslogtreecommitdiff
path: root/bash
diff options
context:
space:
mode:
Diffstat (limited to 'bash')
-rw-r--r--bash/bash_completion.d/_text_filenames.bash10
1 files changed, 5 insertions, 5 deletions
diff --git a/bash/bash_completion.d/_text_filenames.bash b/bash/bash_completion.d/_text_filenames.bash
index 683171c7..853bc641 100644
--- a/bash/bash_completion.d/_text_filenames.bash
+++ b/bash/bash_completion.d/_text_filenames.bash
@@ -12,13 +12,13 @@ _text_filenames() {
while IFS= read -r item ; do
# Exclude blanks
- [[ -n $item ]] || return
+ [[ -n $item ]] || continue
# Exclude files with block, character, pipe, or socket type
- [[ ! -b $item ]] || return
- [[ ! -c $item ]] || return
- [[ ! -p $item ]] || return
- [[ ! -S $item ]] || return
+ [[ ! -b $item ]] || continue
+ [[ ! -c $item ]] || continue
+ [[ ! -p $item ]] || continue
+ [[ ! -S $item ]] || continue
# Check the filename extension to know what to exclude
case $item in